Kwalitee Issues

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Convert::BER
  • DBI

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Bundle::DBD::JDBC

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Bundle::DBD::JDBC, DBD::JDBC

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • DBI

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
Bundle::DBD::JDBC A bundle to install all DBD::JDBC related modules 0.71 metacpan
DBD::JDBC JDBC proxy driver for the DBI module 0.71 metacpan

Provides

Name File View
DBD::JDBC::BER JDBC.pm metacpan
DBD::JDBC::BER::CONNECTION_FUNC_REQ JDBC.pm metacpan
DBD::JDBC::BER::ERROR_RESP JDBC.pm metacpan
DBD::JDBC::BER::EXECUTE_REQ JDBC.pm metacpan
DBD::JDBC::BER::FETCH_RESP JDBC.pm metacpan
DBD::JDBC::BER::MYSEQUENCE JDBC.pm metacpan
DBD::JDBC::BER::STATEMENT_FUNC_REQ JDBC.pm metacpan
DBD::JDBC::ErrorMessages JDBC.pm metacpan
DBD::JDBC::db JDBC.pm metacpan
DBD::JDBC::dr JDBC.pm metacpan
DBD::JDBC::st JDBC.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan
README.basis metacpan